jQuery(document).ready(function($) {
	var ZipBar_%id% = (function(){
		// LOCAL GLOBAL OBJECT
		var ZipBar = {};
		
		// GLOBAL FUNCTIONS
		ZipBar.globals = (function(){
			if (typeof stacks.ZipBar == 'undefined') {
				stacks.ZipBar = {};

				// MakeSpanAnchor
				stacks.ZipBar.MakeSpanAnchor = function(id){
					var ZipBarItemTitle = $('#' + id + ' .ZipBarItemTitle'),
					ZipBarItemLen = ZipBarItemTitle.length,
					i = 0;
					for (i; i < ZipBarItemLen; i++) {
						// VARIABLES
						var thisHref = '#',
						thisData = $(ZipBarItemTitle[i]).attr('data-zipbar'),
						thisClass = $(ZipBarItemTitle[i]).attr('class'),
						thisContents = $(ZipBarItemTitle[i]).text()
						thisTitle = thisContents;
						if ($(ZipBarItemTitle[i]).children('a').length) thisHref = $(ZipBarItemTitle[i]).children('a').attr('href'), thisTitle = $(ZipBarItemTitle[i]).children('a').attr('title');
	
						// make span anchor
						$(ZipBarItemTitle[i]).replaceWith('<a href="' + thisHref + '" data-zipbar="' + thisData + '" class="' + thisClass + '" title="' + thisTitle + '">' + thisContents + '</a>');
					};
				};// end stacks.ZipBar.MakeSpanAnchor

				// OpenFirst
				stacks.ZipBar.OpenFirst = function(id){
					%[if %("%id=startopened%" == "true")%]%
					$('#' + id + ' .ZipBarContent:first').show();
					$('#' + id + ' .ZipBarItem:first .ZipBarItemTitle').parent().addClass('ZipBarActive');
					%[endif]%
					%[if %("%id=startopened%" == "false")%]%
					console.log('No ZipBar panel set to start open');
					%[endif]%
				};
				// end stacks.ZipBar.OpenFirst

				// openItems
				stacks.ZipBar.OpenItem = function(id){
					$('#' + id + ' .ZipBarItemTitle').each(function() {
						// VARIABLES
						var that = '#' + id + ' .ZipBarItemTitle',
						there = '#' + id + ' .ZipBarContent',
						thereHeight = $(there).height(),
						thisData = $(this).attr('data-zipbar'),
						thisThere = $('#' + id + ' div[data-zipbar="' + thisData + '"]');

						// move functions
						$(this).siblings().insertAfter($('#' + id + ' .ZipBarWrapper'));
						
						// click functions
						$(this).click(function(event) {
							if ($(this).attr('href') == '#') {
								event.preventDefault();
								if (!$(this).parent().hasClass('ZipBarActive')) {
									$(that).parent().removeClass('ZipBarActive');
									
									%[if %("%id=animation_style%" == "fade")%]%
									$(there).fadeOut(%id=animation_speed[0]%);
									%[endif]%
									%[if %("%id=animation_style%" == "slide")%]%
									$(there).slideUp(%id=animation_speed[0]%);
									%[endif]%
									
									$(this).parent().addClass('ZipBarActive');
									
									%[if %("%id=animation_style%" == "fade")%]%
									$(thisThere).fadeIn(%id=animation_speed[1]%);
									%[endif]%
									%[if %("%id=animation_style%" == "slide")%]%
									$(thisThere).slideDown(%id=animation_speed[1]%);
									%[endif]%
								}
							}
						});
					});
				};// end stacks.ZipBar.OpenItem
				
			}// end if (typeof stacks.ZipBar == 'undefined')
			
		})();// end ZipBar.globals
		
		// LOCAL GLOBAL VARIABLES
		var	thisID = '%id%';
		
		// FUNCTIONS CALLS

		// makeSpanAnchor
		stacks.ZipBar.MakeSpanAnchor(thisID);
	
		// openFirst
		stacks.ZipBar.OpenFirst(thisID);
		
		// openItems
		stacks.ZipBar.OpenItem(thisID);
		
	})();// end ZipBar_%id%
});

$(document).ready(function() {
	$(".mydiv").css("visibility", "visible");
});